@echo off
if exist cfg\mooncrst.cfg move cfg\mooncrst.cfg cfg\mooncrst.bak
if exist hi\mooncrst.hi move hi\mooncrst.hi hi\mooncrst.bak
if exist nvram\mooncrst.nv move nvram\mooncrst.nv nvram\mooncrst.bak
if exist diff\mooncrst.dif move diff\mooncrst.dif diff\mooncrst.bak

mame mooncrst -record mooncrst.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\mooncrst.bak move cfg\mooncrst.bak cfg\mooncrst.cfg
if exist hi\mooncrst.bak move hi\mooncrst.bak hi\mooncrst.hi
if exist nvram\mooncrst.bak move nvram\mooncrst.bak nvram\mooncrst.nv
if exist diff\mooncrst.bak move diff\mooncrst.bak diff\mooncrst.dif
